# Enum OptionData.Type

java.lang.Object
java.lang.Enum<OptionData.Type>
ml.options.OptionData.Type

All Implemented Interfaces:
  `Serializable, Comparable<OptionData.Type>, java.lang.constant.Constable`

Enclosing class:
  `OptionData`

public static enum OptionData.Type extends Enum<OptionData.Type>
An enum describing the different available types of options

## Nested Class Summary

### Nested classes/interfaces inherited from class Enum

`Enum.EnumDesc<E>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`DETAIL`
An option which expects both a value and details further describing the value to be specified along with it
`SIMPLE`
An option which acts as a switch (i.
`VALUE`
An option which expects a value to be specified along with it

## Method Summary

Modifier and Type
Method
Description
`static OptionData.Type`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static OptionData.Type[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### SIMPLE

public static final OptionData.Type SIMPLE
An option which acts as a switch (i. e. no value or detail argument is taken)

### VALUE

public static final OptionData.Type VALUE
An option which expects a value to be specified along with it

### DETAIL

public static final OptionData.Type DETAIL
An option which expects both a value and details further describing the value to be specified along with it

## Method Details

### values

public static OptionData.Type[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static OptionData.Type valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null